net.sf.cglib.proxy

## Interface NoOp

- All Superinterfaces:
    Callback

      public interface NoOp
      extends Callback

  Methods using this `Enhancer` callback will delegate directly to the default (super) implementation in the base class.

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static NoOp` | `INSTANCE` A thread-safe singleton instance of the `NoOp` callback.

- - ### Field Detail

    - #### INSTANCE

          static final NoOp INSTANCE

      A thread-safe singleton instance of the `NoOp` callback.

Copyright (c) 2001 - Apache Software Foundation